net.minecraft.client.gui

## Class GuiScreenLongRunningTask

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.GuiScreenLongRunningTask

-     public class GuiScreenLongRunningTask
      extends GuiScreen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `field_146915_a`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenLongRunningTask(Minecraft par1Minecraft, GuiScreen par2GuiScreen, TaskLongRunning par3TaskLongRunning)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionPerformed(GuiButton p_146284_1_)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `func_146902_g()`
    `Minecraft` | `func_146903_h()`
    `boolean` | `func_146904_i()`
    `void` | `func_146905_a(java.lang.String p_146905_1_)`
    `void` | `func_146906_b(java.lang.String p_146906_1_)`
    `void` | `initGui()`
    `protected void` | `keyTyped(char par1, int par2)`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, doesGuiPauseGame, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, mouseClicked, mouseClickMove, mouseMovedOrUp, onGuiClosed, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_146915_a

          public static final java.lang.String[] field_146915_a

  - ### Constructor Detail

    - #### GuiScreenLongRunningTask

          public GuiScreenLongRunningTask(Minecraft par1Minecraft,
                                  GuiScreen par2GuiScreen,
                                  TaskLongRunning par3TaskLongRunning)

  - ### Method Detail

    - #### func_146902_g

          public void func_146902_g()

    - #### updateScreen

          public void updateScreen()

      Overrides:
        `updateScreen` in class `GuiScreen`

    - #### keyTyped

          protected void keyTyped(char par1,
                      int par2)

      Overrides:
        `keyTyped` in class `GuiScreen`

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### actionPerformed

          protected void actionPerformed(GuiButton p_146284_1_)

      Overrides:
        `actionPerformed` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### func_146905_a

          public void func_146905_a(java.lang.String p_146905_1_)

    - #### func_146903_h

          public Minecraft func_146903_h()

    - #### func_146906_b

          public void func_146906_b(java.lang.String p_146906_1_)

    - #### func_146904_i

          public boolean func_146904_i()